> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/oauth-client-management/models.md).

# Models

## The RegisterClient object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"components":{"schemas":{"RegisterClient":{"type":"object","description":"Request to register a new client.","allOf":[{"$ref":"#/components/schemas/ClientWriteableInformation"}],"properties":{"software_id":{"type":"string","description":"Identifier of the Collibra software bundle that implements the client."}},"required":["client_name"]},"ClientWriteableInformation":{"type":"object","properties":{"client_name":{"type":"string","description":"Descriptive name of the client.\n\nTwo different clients cannot have the same name.\n\nThis should be a name that reveals the purpose of the client.\n"},"grant_types":{"type":"array","items":{"type":"string"},"description":"Authorization grants that the client is allowed to use."},"redirect_uris":{"type":"array","items":{"type":"string","format":"uri"},"description":"Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type."},"require_proof_key":{"type":"boolean","description":"Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when `grant_types` includes `authorization_code`. Defaults to `true`."}}}}}}
```

## The ClientRegistration object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"components":{"schemas":{"ClientRegistration":{"allOf":[{"$ref":"#/components/schemas/ClientInformation"}],"type":"object","description":"Data associated to the registered client.\n\nThe client secret returned in this response cannot be read through any API call.\nThus you should store the client secret returned in this response.\n","properties":{"client_secret":{"type":"string","format":"password","description":"Secret generated by Collibra for the registered client."}}},"ClientInformation":{"type":"object","description":"Contains all data known for a registered client.","allOf":[{"$ref":"#/components/schemas/ClientReadOnlyInformation"},{"$ref":"#/components/schemas/ClientWriteableInformation"}]},"ClientReadOnlyInformation":{"type":"object","properties":{"client_id":{"type":"string","description":"Technical client identifier returned by the Authorization Server when the client is registered."},"client_id_issued_at":{"type":"integer","format":"int64","description":"Time at which the client identifier was issued.\n\nThe time is represented as the number of seconds from\n1970-01-01T00:00:00Z as measured in UTC until the date/time of\nissuance."}}},"ClientWriteableInformation":{"type":"object","properties":{"client_name":{"type":"string","description":"Descriptive name of the client.\n\nTwo different clients cannot have the same name.\n\nThis should be a name that reveals the purpose of the client.\n"},"grant_types":{"type":"array","items":{"type":"string"},"description":"Authorization grants that the client is allowed to use."},"redirect_uris":{"type":"array","items":{"type":"string","format":"uri"},"description":"Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type."},"require_proof_key":{"type":"boolean","description":"Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when `grant_types` includes `authorization_code`. Defaults to `true`."}}}}}}
```

## The ClientRegistrationError object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"components":{"schemas":{"ClientRegistrationError":{"type":"object","description":"Error condition resulting from a client registration call.","properties":{"error":{"type":"string","description":"Error code."},"error_description":{"type":"string","description":"Human-readable description of the error."}}}}}}
```

## The ClientRegistrations object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"components":{"schemas":{"ClientRegistrations":{"type":"object","description":"Client registrations found.","properties":{"registrations":{"type":"array","items":{"$ref":"#/components/schemas/ClientInformationSummary"}}}},"ClientInformationSummary":{"type":"object","description":"Contains abbreviated data about a registered client.","properties":{"client_id":{"type":"string","description":"Technical client identifier of the client."},"client_name":{"type":"string","description":"Descriptive name of the client."},"client_id_issued_at":{"type":"integer","format":"int64","description":"Time at which the client identifier was issued."},"grant_types":{"type":"array","items":{"type":"string"},"description":"Authorization grants that the client is allowed to use at the token endpoint."},"redirect_uris":{"type":"array","items":{"type":"string","format":"uri"},"description":"Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type."},"require_proof_key":{"type":"boolean","description":"Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when `grant_types` includes `authorization_code`. Defaults to `true`."}}}}}}
```

## The ClientInformationSummary object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"components":{"schemas":{"ClientInformationSummary":{"type":"object","description":"Contains abbreviated data about a registered client.","properties":{"client_id":{"type":"string","description":"Technical client identifier of the client."},"client_name":{"type":"string","description":"Descriptive name of the client."},"client_id_issued_at":{"type":"integer","format":"int64","description":"Time at which the client identifier was issued."},"grant_types":{"type":"array","items":{"type":"string"},"description":"Authorization grants that the client is allowed to use at the token endpoint."},"redirect_uris":{"type":"array","items":{"type":"string","format":"uri"},"description":"Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type."},"require_proof_key":{"type":"boolean","description":"Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when `grant_types` includes `authorization_code`. Defaults to `true`."}}}}}}
```

## The ClientInformation object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"components":{"schemas":{"ClientInformation":{"type":"object","description":"Contains all data known for a registered client.","allOf":[{"$ref":"#/components/schemas/ClientReadOnlyInformation"},{"$ref":"#/components/schemas/ClientWriteableInformation"}]},"ClientReadOnlyInformation":{"type":"object","properties":{"client_id":{"type":"string","description":"Technical client identifier returned by the Authorization Server when the client is registered."},"client_id_issued_at":{"type":"integer","format":"int64","description":"Time at which the client identifier was issued.\n\nThe time is represented as the number of seconds from\n1970-01-01T00:00:00Z as measured in UTC until the date/time of\nissuance."}}},"ClientWriteableInformation":{"type":"object","properties":{"client_name":{"type":"string","description":"Descriptive name of the client.\n\nTwo different clients cannot have the same name.\n\nThis should be a name that reveals the purpose of the client.\n"},"grant_types":{"type":"array","items":{"type":"string"},"description":"Authorization grants that the client is allowed to use."},"redirect_uris":{"type":"array","items":{"type":"string","format":"uri"},"description":"Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type."},"require_proof_key":{"type":"boolean","description":"Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when `grant_types` includes `authorization_code`. Defaults to `true`."}}}}}}
```

## The ClientReadOnlyInformation object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"components":{"schemas":{"ClientReadOnlyInformation":{"type":"object","properties":{"client_id":{"type":"string","description":"Technical client identifier returned by the Authorization Server when the client is registered."},"client_id_issued_at":{"type":"integer","format":"int64","description":"Time at which the client identifier was issued.\n\nThe time is represented as the number of seconds from\n1970-01-01T00:00:00Z as measured in UTC until the date/time of\nissuance."}}}}}}
```

## The ClientWriteableInformation object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"components":{"schemas":{"ClientWriteableInformation":{"type":"object","properties":{"client_name":{"type":"string","description":"Descriptive name of the client.\n\nTwo different clients cannot have the same name.\n\nThis should be a name that reveals the purpose of the client.\n"},"grant_types":{"type":"array","items":{"type":"string"},"description":"Authorization grants that the client is allowed to use."},"redirect_uris":{"type":"array","items":{"type":"string","format":"uri"},"description":"Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type."},"require_proof_key":{"type":"boolean","description":"Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when `grant_types` includes `authorization_code`. Defaults to `true`."}}}}}}
```

## The UpdateClient object

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"components":{"schemas":{"UpdateClient":{"type":"object","description":"Request to update registered client data.","allOf":[{"$ref":"#/components/schemas/ClientWriteableInformation"}],"required":["client_name"]},"ClientWriteableInformation":{"type":"object","properties":{"client_name":{"type":"string","description":"Descriptive name of the client.\n\nTwo different clients cannot have the same name.\n\nThis should be a name that reveals the purpose of the client.\n"},"grant_types":{"type":"array","items":{"type":"string"},"description":"Authorization grants that the client is allowed to use."},"redirect_uris":{"type":"array","items":{"type":"string","format":"uri"},"description":"Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type."},"require_proof_key":{"type":"boolean","description":"Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when `grant_types` includes `authorization_code`. Defaults to `true`."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/references/oauth-client-management/models.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
